#!/bin/bash

MINIPATH=$(echo $0 | sed 's/\/[^\/]*$//')

# small JavaScript minimisation script using GNU sed & tr
echo "/* minimised version of $* */"

# steps of removal :
#  comments :
$MINIPATH/remccoms3.sed $* |\
# newlines
tr '\n\r\t' '   ' |\
# consecutive spaces
sed 's/ \+/ /g' |\
#spaces at the start of lines
sed 's/^ *//g' |\
#spaces before and after certain characters
sed 's/\( *\)\([:;,.{}]\)/\2/g' |\
sed 's/\([:;,.{}]\)\( *\)/\1/g' |\
sed 's/;}/}/g'
