/* file yasep/JScore/group_rsv.js
created 2007-03-28 by whygee@f-cpu.org
2007-04-11 : renamed from vsp_rsv.js
2007-11-05 : rebranding to YASEP
2008-11-30 : 16-bit action
2009-05-26 : update
2009-07-28 : added Y
2009-08-10 : Y.NO_WRITEBACK | Y.NO_CONDITION | Y.IGNORE_SND | Y.IGNORE_SI4 | Y.IGNORE_IMM16
2009-08-23 : removed FORM_X

This file defines the YASEP's instructions of the "reserved" group.
This is empty and will remain so for a long while...

dependency : yasep_forms.js, yasep_flags.js, yasep_opcodes.js
*/

Y.prefix=Y.GROUP_RSV;

Y.NoOpcode();
Y.NoOpcode();
Y.NoOpcode();
Y.NoOpcode();
Y.NoOpcode();
Y.NoOpcode();
Y.NoOpcode();

Y.NewOpcode("INV",
  null,  null, /* nothing */
  Y.FORM_ALONE, Y.NO_WRITEBACK | Y.NO_CONDITION | Y.IGNORE_SND | Y.IGNORE_SI4 | Y.IGNORE_IMM16,
  "Forbidden (invalid) opcode"
);
