#!/bin/bash

MINIPATH=$(echo $0 | sed 's/\/[^\/]*$//')
# small JavaScript minimisation script using GNU sed & tr
echo "//minimised version of $*"
echo -n 'var $=document;'

# steps of removal :
#  comments :
$MINIPATH/remccoms3.sed $* |\
# newlines
tr '\n\r\t' '   ' |\
# consecutive spaces
sed 's/ \+/ /g' |\
#spaces at the start of lines
sed 's/^ *//g' |\
#spaces before and after certain characters
sed 's/\( *\)\([-()|{}=+><,?;:.]\)/\2/g' |\
sed 's/\([-()|{}=+><,?;:.]\)\( *\)/\1/g' |\
# long strings over several lines
sed "s/\('._+\)'+'/\1/g" |\
#replace often used names
sed "s/document[.]/$./g" |\
sed "s/listed\([.=]\)/_l\1/g" |\
sed "s/ygwm\([.=]\)/_w\1/g"
